stringprep_utf8_to_ucs4(3)

NAME
stringprep_utf8_to_ucs4 - convert UTF-8 string to UCS-4

SYNOPSIS
#include <stringprep.h>

uint32_t * stringprep_utf8_to_ucs4(const char * str, ssize_t len, size_t * items_written);

ARGUMENTS

const char * str
    a UTF-8 encoded string

ssize_t len
    the maximum length of str to use. If len < 0, then the string is nul-terminated.

size_t * items_written
    location to store the number of characters in the result, or NULL.

DESCRIPTION
Convert a string from UTF-8 to a 32-bit fixed width representation as UCS-4, assuming valid UTF-8 input. This function does no error checking on the input.

RETURN VALUE
a pointer to a newly allocated UCS-4 string. This value must be deallocated by the caller.

REPORTING BUGS
Report bugs to <bug-libidn@gnu.org>. GNU Libidn home page: http://www.gnu.org/software/libidn/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002, 2003, 2004, 2005, 2006, 2007, 2008, 2009 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for libidn is maintained as a Texinfo manual. If the info and libidn programs are properly installed at your site, the command

    info libidn

should give you access to the complete manual.